For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETQuery Projects
      • POSTCreate Project
      • GETRetrieve Project
      • PUTUpdate Project
      • DELDelete Project
      • PUTRestore Project
      • GETReopen Project Status
LogoLogo
SupportContact salesStart free trial
API ReferenceProject

Query Projects

GET
https://api.projectmanager.com/api/data/projects
GET
/api/data/projects
$curl https://api.projectmanager.com/api/data/projects \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": [
14 {
15 "id": "string",
16 "name": "string",
17 "description": "string",
18 "shortCode": "string",
19 "shortId": "string",
20 "folder": {
21 "id": "string",
22 "name": "string"
23 },
24 "status": {
25 "id": "string",
26 "name": "string",
27 "isDeleted": true,
28 "isSystem": true
29 },
30 "startDate": "2023-01-15",
31 "endDate": "2023-01-15",
32 "targetDate": "2023-01-15",
33 "plannedStartDate": "2023-01-15",
34 "plannedFinishDate": "2023-01-15",
35 "actualStartDate": "2023-01-15",
36 "actualFinishDate": "2023-01-15",
37 "priority": {
38 "id": "string",
39 "name": "string"
40 },
41 "chargeCode": {
42 "id": "string",
43 "name": "string",
44 "isActive": true
45 },
46 "manager": {
47 "id": "string",
48 "name": "string",
49 "initials": "string",
50 "avatarUrl": "string",
51 "color": "string"
52 },
53 "customer": {
54 "id": "string",
55 "name": "string"
56 },
57 "budget": 1.1,
58 "hourlyRate": 1.1,
59 "statusUpdate": "string",
60 "modifyDate": "2024-01-15T09:30:00Z",
61 "createDate": "2024-01-15T09:30:00Z",
62 "isTemplate": true,
63 "favorite": true,
64 "creationTemplateId": "string",
65 "members": [
66 {
67 "id": "string",
68 "projectId": "string",
69 "initials": "string",
70 "name": "string",
71 "avatarUrl": "string",
72 "permission": "string",
73 "color": "string",
74 "permissionOptions": {
75 "none": true,
76 "collaborate": true,
77 "guest": true,
78 "editor": true,
79 "manager": true
80 },
81 "role": "string"
82 }
83 ],
84 "fieldValues": [
85 {
86 "id": "string",
87 "shortId": "string",
88 "name": "string",
89 "type": "string",
90 "value": "string",
91 "createdDate": "2024-01-15T09:30:00Z",
92 "modifiedDate": "2024-01-15T09:30:00Z"
93 }
94 ],
95 "files": [
96 {
97 "id": "string",
98 "name": "string",
99 "url": "string",
100 "task": {
101 "id": "string",
102 "shortId": "string",
103 "name": "string"
104 },
105 "folder": {
106 "id": "string",
107 "name": "string"
108 }
109 }
110 ],
111 "percentComplete": 1,
112 "updatePlannedWithActual": true,
113 "externalReferenceId": "string",
114 "ownerId": "string",
115 "workingDays": {
116 "monday": true,
117 "tuesday": true,
118 "wednesday": true,
119 "thursday": true,
120 "friday": true,
121 "saturday": true,
122 "sunday": true
123 },
124 "fields": {}
125 }
126 ]
127}
Retrieve a list of Projects that match an [OData formatted query](https://www.odata.org/). A Project is a collection of Tasks that contributes towards a goal. Within a Project, Tasks represent individual items of work that team members must complete. The sum total of Tasks within a Project represents the work to be completed for that Project.
Was this page helpful?
Previous

Create Project

Next
Built with

Retrieve a list of Projects that match an OData formatted query.

A Project is a collection of Tasks that contributes towards a goal. Within a Project, Tasks represent individual items of work that team members must complete. The sum total of Tasks within a Project represents the work to be completed for that Project.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Query parameters

$topintegerOptional
The number of records to return
$skipintegerOptional

Skips the given number of records and then returns $top records

$filterstringOptional
Filter the expression according to oData queries
$orderbystringOptional
Order collection by this field.
$expandstringOptional
Include related data in the response

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
datalist of objects
If the API call succeeded, this will contain the results.